clang 10.0.0git

Functions
WebAssembly.cpp File Reference
`#include "WebAssembly.h"`
`#include "CommonArgs.h"`
`#include "clang/Basic/Version.h"`
`#include "clang/Config/config.h"`
`#include "clang/Driver/Compilation.h"`
`#include "clang/Driver/Driver.h"`
`#include "clang/Driver/DriverDiagnostic.h"`
`#include "clang/Driver/Options.h"`
`#include "llvm/Support/FileSystem.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Option/ArgList.h"`
Include dependency graph for WebAssembly.cpp:

Go to the source code of this file.

## Functions
static std::string | getMultiarchTriple (const Driver &D, const llvm::Triple &TargetTriple, StringRef SysRoot)
| Following the conventions in https://wiki.debian.org/Multiarch/Tuples, we remove the vendor field to form the multiarch triple. More...
static std::string | AppendLTOLibDir (const std::string &Dir)
| Given a base library directory, append path components to form the LTO directory. More...

## Function Documentation

## ◆ AppendLTOLibDir()

static std::string AppendLTOLibDir | ( | const std::string & | Dir | ) |
| static

Given a base library directory, append path components to form the LTO directory.

Definition at line 123 of file WebAssembly.cpp.

References clang::driver::ToolChain::CST_Libcxx, clang::driver::ToolChain::CST_Libstdcxx, getMultiarchTriple(), clang::driver::ToolChain::getSupportedSanitizers(), clang::driver::Driver::isUsingLTO(), P, clang::driver::Driver::ResourceDir, clang::driver::ToolChain::RLT_CompilerRT, and clang::driver::Driver::SysRoot.

## ◆ getMultiarchTriple()

static std::string getMultiarchTriple | ( | const Driver & | D,
|  | const llvm::Triple & | TargetTriple,
|  | StringRef | SysRoot
| ) |  |
| static

Following the conventions in https://wiki.debian.org/Multiarch/Tuples, we remove the vendor field to form the multiarch triple.

Definition at line 29 of file WebAssembly.cpp.

Referenced by AppendLTOLibDir().